> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# trigger set-point schedule webhook



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webhook/set_point_schedule/trigger
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/webhook/set_point_schedule/trigger:
    post:
      tags:
        - webhook
      summary: trigger set-point schedule webhook
      operationId: WebhookController_triggerSetPointScheduleWebhook_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerWebhookDto'
            example:
              deviceId: ws_device_123456789
      responses:
        '200':
          description: ''
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    TriggerWebhookDto:
      type: object
      properties:
        deviceId:
          description: The ID of the device
          type: string
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````